<?xml version="1.0" encoding="ISO-8859-1"?>
<web-app xmlns="http://java.sun.com/xml/ns/j2ee"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd"
    version="2.4">
  
	<!-- Beginn der SOAP-Konfiguration  --> 
	<display-name>Apache-Axis2</display-name>
	<servlet>
		<display-name>Apache-Axis Servlet</display-name>
		<servlet-name>AxisServlet</servlet-name>
		<servlet-class>org.apache.axis2.transport.http.AxisServlet</servlet-class>
    <init-param>
      <param-name>${test.axis2.repository.path}</param-name>
      <param-value>${axis2.repository.path}</param-value>
    </init-param>
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>AxisServlet</servlet-name>
		<url-pattern>/servlet/AxisServlet</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>AxisServlet</servlet-name>
		<url-pattern>*.jws</url-pattern>
	</servlet-mapping>
	 <servlet-mapping>
      <servlet-name>AxisServlet</servlet-name>
      <url-pattern>/services/version_2.1.1/*</url-pattern>
  </servlet-mapping>
	<servlet-mapping>
	<servlet-name>AxisServlet</servlet-name>
  <url-pattern>/services/version_2.0.2/*</url-pattern>
</servlet-mapping>
  
  <listener>
    <display-name>IMPServiceContextListener</display-name>
    <listener-class>com.rola.server.imp.soap.server.IMPServiceContextListener</listener-class>
  </listener>
	<!-- <= Ende der SOAP-Konfiguration -->
  
  <!--
	Monitoring Oberflaeche nicht per Default verfuegbar! 
    <servlet>
        <servlet-name>MonitoringAdmin</servlet-name>
        <servlet-class>com.rola.monitoring.access.MonitoringAdminServlet</servlet-class>
        <load-on-startup>99</load-on-startup>
    </servlet>
    <servlet-mapping>
        <servlet-name>MonitoringAdmin</servlet-name>
        <url-pattern>/monitoring/*</url-pattern>
    </servlet-mapping>
	-->

	<!-- Monitoring Filter zur Ueberwachung aller HTTP Zugriffe -->	
    <filter>
      <filter-name>MonitoringFilter</filter-name>
      <filter-class>com.rola.monitoring.web.MonitoringServletFilter</filter-class>
      <init-param>
        <param-name>categorizerThreshold</param-name>
        <param-value>0</param-value>
      </init-param>
    </filter>
    <filter-mapping>
      <filter-name>MonitoringFilter</filter-name>
      <url-pattern>/*</url-pattern>
      <dispatcher>ERROR</dispatcher>
      <dispatcher>FORWARD</dispatcher>
      <dispatcher>INCLUDE</dispatcher>
      <dispatcher>REQUEST</dispatcher>
    </filter-mapping>
        
    <!-- Beginn der REST-Konfiguration -->
    
	
	<!-- Beginn der REST-Konfiguration -->
    <servlet>
        <servlet-name>IMPRESTServlet</servlet-name>
        <servlet-class>com.rola.server.imp.rest.IMPRESTServlet</servlet-class>
        <load-on-startup>1</load-on-startup>
    </servlet>
       
    <servlet-mapping>
        <servlet-name>IMPRESTServlet</servlet-name>
        <url-pattern>/version_2.0.2/processData</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>IMPRESTServlet</servlet-name>
        <url-pattern>/version_2.1.1/processData</url-pattern>
    </servlet-mapping>
    
    <servlet-mapping>
        <servlet-name>IMPRESTServlet</servlet-name>
        <url-pattern>/version_2.0.2/processDataSync</url-pattern>
    </servlet-mapping>
    
    <servlet-mapping>
        <servlet-name>IMPRESTServlet</servlet-name>
        <url-pattern>/version_2.1.1/processDataSync</url-pattern>
    </servlet-mapping>
    <!-- Ende der REST-Konfiguration -->
   
  <filter>
    <filter-name>InterfaceContextServletFilter</filter-name>
    <filter-class>com.rola.server.exchange.interfacecontext.InterfaceContextServletFilter</filter-class>
  </filter>
  
  <filter-mapping>
    <filter-name>InterfaceContextServletFilter</filter-name>
    <servlet-name>IMPRESTServlet</servlet-name>
  </filter-mapping>
  
  <filter-mapping>
    <filter-name>InterfaceContextServletFilter</filter-name>
    <servlet-name>AxisServlet</servlet-name>
  </filter-mapping>
	
	<!-- Protkollunabhaengige-Konfiguration -->
        
	<env-entry>
		<env-entry-name>rola/config</env-entry-name>
    <!-- Pfad zum Konfigurationsverzeichnis mit der rsConfig.xml oder [DEFAULT] (Home der Anwendung) -->
		<env-entry-type>java.lang.String</env-entry-type>
		<env-entry-value>[DEFAULT]</env-entry-value>
	</env-entry>
	
	<env-entry>
		<env-entry-name>rola/moduleId</env-entry-name>
    <!-- Modul-Konfiguration -->
		<env-entry-type>java.lang.String</env-entry-type>
		<env-entry-value>IMP2_0</env-entry-value>
	</env-entry>

  <!-- HTML-Test-Seite -->
  <!-- Auskommentieren um zu aktivieren -->  
  <!--security-constraint>
    <web-resource-collection>
      <web-resource-name>HTML-Client</web-resource-name>
      <url-pattern>/htmlclient/*</url-pattern>
      <http-method>GET</http-method>
      <http-method>POST</http-method>
    </web-resource-collection>
    <auth-constraint/>
    <user-data-constraint>
      <transport-guarantee>NONE</transport-guarantee>
    </user-data-constraint>
  </security-constraint-->    

  <!-- SOAP-Monitor -->
  <!-- Logging der SOAP-Requests und Responses 
   <servlet>
       <servlet-name>SOAPMonitorService</servlet-name>
       <display-name>SOAPMonitorService</display-name>
       <servlet-class>
         org.apache.axis2.soapmonitor.servlet.SOAPMonitorService
       </servlet-class>
       <init-param>
          <param-name>SOAPMonitorPort</param-name>
          <param-value>5001</param-value>
       </init-param>
       <load-on-startup>1</load-on-startup>
    </servlet>
    <servlet-mapping>
        <servlet-name>SOAPMonitorService</servlet-name>
        <url-pattern>/SOAPMonitor</url-pattern>
    </servlet-mapping>
  -->
	
</web-app>
